from flask import Blueprint, redirect, url_for

from flask.ext.assets import Environment, Bundle

blueprint = Blueprint(
    'frontend',
    __name__,
    template_folder='templates',
    static_folder='static'
)

# Local asset management
frontend_js = Bundle(
    'frontend/js/app.js',
    'frontend/js/accounts.js',
    'frontend/js/operations.js',
    'frontend/js/scheduler.js'
)
frontend_css = Bundle('frontend/css/main.css')

assets = Environment()
assets.register('frontend_js', frontend_js)
assets.register('frontend_css', frontend_css)


@blueprint.route('/')
def index():
    return redirect(url_for('frontend.static', filename='index.html'))
